Subject: bug#28840: openrct2 cannot find data-path

From: Jelle Licht <[email-masked]>
Date: Fri, 20 Oct 2017 18:37:07 +0200

Hi Ludo,

No, I am talking about resources such as shaders and
language packs, which seem to be included in openrct2 itself.
IOW, even *with* the data files from the proprietary rct2, our current
openrct2
does not run without the command line flags I added to my first posting :-).

Cheers,
Jelle

2017-10-20 18:01 GMT+02:00 Ludovic Courtès <[email-masked]>:

> Hi Jelle,
>
> Jelle Licht <[email-masked]> skribis:
>
> > The recently committed (and awesome) openrct2 built correctly,
> > but cannot currently find the needed language and shader files
> > for the game and therefore crashes. To make it work, I currently
> > have to invoke it via a command like
> > `--openrct-data-path=/gnu/store/<hash>-openrct2-0.1.1/share/openrct2/',
> > which imho is not optimal.
> >
> > I dove into the source of openrct, and it seems there are still
> > some vestiges of the cmake flag we want, namely
> > ORCT2_RESOURCE_DIR. Sadly, support for configuring this variable
> > seems to have been removed about 4 months ago.
> >
> > I opened an issue upstream regarding this[1], but maybe there is
> > an easy workaround we can use until a fix is hopefully released.
> > I was thinking of either a phase which calls `wrap-program', or
> > adding the required flag back via a short snippet.
>
> Are you talking about the game assets, or is it something different?
>
> (Did you see the discussion at
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28794#8>?)
>
> Cheers,
> Ludo’.
>